1. Welcome to skUnity!

    Welcome to skUnity! This is a forum where members of the Skript community can communicate and interact. Skript Resource Creators can post their Resources for all to see and use.

    If you haven't done so already, feel free to join our official Discord server to expand your level of interaction with the comminuty!

    Now, what are you waiting for? Join the community now!

Dismiss Notice
This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Addon skript-db 0.2.0

Sensible SQL support for Skript

  1. Uzumaki

    Uzumaki Well-Known Member

    Joined:
    Feb 20, 2017
    Messages:
    289
    Likes Received:
    8
    how i can create a sqlite database?, thanks
     
  2. T

    Tai1er Member

    Joined:
    Jan 30, 2017
    Messages:
    6
    Likes Received:
    0
    All my local variables are deleted when I execute a query.

    Code (Text):
    1. command /test:
    2.     trigger:
    3.         join(player)
    4. function join(p: player):
    5.     broadcast "%{_p}%"
    6.     set {_uuid} to {_p}'s UUID
    7.     execute "SELECT id FROM Players WHERE uuid = %{_uuid}%" in {sql} and store the result in {_players::*}
    8.     broadcast last sql error
    9.     broadcast "%{_p}%"
    The first broadcast shows the username, the second shows nothing since it's an empty string because there is no errors and the last shows <none>

    When I try to execute this query in unsafe mode, the {_uuid} variable has already been deleted before the execution of the query which results in a syntax error near '<none>'.

    It's not the first time I get this type of problem with Skript-db.
     
  3. btk5h

    Addon Developer

    Joined:
    Jan 25, 2017
    Messages:
    154
    Likes Received:
    153
    This is an issue with Skript itself. A workaround for this may be added in the future.
     
  4. btk5h

    Addon Developer

    Joined:
    Jan 25, 2017
    Messages:
    154
    Likes Received:
    153
  5. Govindas

    Govindas Active Member

    Joined:
    Feb 5, 2017
    Messages:
    37
    Likes Received:
    2
    this addon does not seem to work properly with skript 2.3.7, worked properly with 2.2 dev36, could you please fix it?
    (putting data in a database/getting data does not work)

    EDIT: seems to be issue with functions, gonna fix it myself
     
    #105 Govindas, Jul 5, 2019
    Last edited: Jul 5, 2019
  6. YuDylan

    YuDylan Member

    Joined:
    Jul 10, 2017
    Messages:
    2
    Likes Received:
    0
    Is there any way to check if the database is working? Because if it does not, the code does not continue/delay to "continue".
     
  7. Z

    ZuOnline Member

    Joined:
    Oct 11, 2018
    Messages:
    6
    Likes Received:
    0
    Could you please add skript 2.4 support? I would be very glad ^^
     
  8. Govindas

    Govindas Active Member

    Joined:
    Feb 5, 2017
    Messages:
    37
    Likes Received:
    2
    ths addon stopped loading due to unknown reason, it used to work before, I didn't change skript version or anything.. just throws this error now:
    Code (Text):
    1.  
    2.  
    3. [skript-db] Enabling skript-db v0.2.0 Error occurred while enabling skript-db v0.2.0 (Is it up to date?) java.lang.NoClassDefFoundError: com/zaxxer/hikari/HikariDataSource at com.btk5h.skriptdb.skript.ExprDataSource.<clinit>(ExprDataSource.java:33) ~[?:?] at java.lang.Class.forName0(Native Method) ~[?:1.8.0_211] at java.lang.Class.forName(Class.java:348) ~[?:1.8.0_211] at ch.njol.skript.SkriptAddon.loadClasses(SkriptAddon.java:108) ~[?:?] at com.btk5h.skriptdb.SkriptDB.onEnable(SkriptDB.java:66) ~[?:?] at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[patched_1.12.2.jar:git-Paper-1618] at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:316) ~[patched_1.12.2.jar:git-Paper-1618] at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) ~[patched_1.12.2.jar:git-Paper-1618] at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:395) ~[patched_1.12.2.jar:git-Paper-1618] at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:344) ~[patched_1.12.2.jar:git-Paper-1618] at net.minecraft.server.v1_12_R1.MinecraftServer.t(MinecraftServer.java:442) ~[patched_1.12.2.jar:git-Paper-1618] at net.minecraft.server.v1_12_R1.MinecraftServer.l(MinecraftServer.java:403) ~[patched_1.12.2.jar:git-Paper-1618] at net.minecraft.server.v1_12_R1.MinecraftServer.a(MinecraftServer.java:341) ~[patched_1.12.2.jar:git-Paper-1618] at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:289) ~[patched_1.12.2.jar:git-Paper-1618] at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:616) ~[patched_1.12.2.jar:git-Paper-1618] at java.lang.Thread.run(Thread.java:748) [?:1.8.0_211]
    4.  
    5.  
    6.  
    7. Caused by: java.lang.ClassNotFoundException: com.zaxxer.hikari.HikariDataSource
    8.    at java.net.URLClassLoader.findClass(URLClassLoader.java:382) ~[?:1.8.0_211]
    9.    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:156) ~[patched_1.12.2.jar:git-Paper-1618]
    10.    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:104) ~[patched_1.12.2.jar:git-Paper-1618]
    11.    at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_211]
    12.    at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_211]
    13.    ... 16 more
    14. [skript-db] Disabling skript-db v0.2.0
    15.  
    the plugin still works in my other server in the same network.. so it's really weird
    EDIT: I noticed that the other server uses 0.1.1, so I guess I'm downgrading for now
     
    #108 Govindas, Aug 14, 2019 at 2:46 PM
    Last edited: Aug 14, 2019 at 2:51 PM
Loading...